libximc: accessories_settings_t Struct Reference

libximc 3.0.3

Data Fields
accessories_settings_t Struct Reference

Deprecated. More...

`#include <ximc.h>`

## Data Fields
char | MagneticBrakeInfo [25]
| The manufacturer and the part number of magnetic brake, the maximum string length is 24 characters.
float | MBRatedVoltage
| Rated voltage for controlling the magnetic brake (V).
float | MBRatedCurrent
| Rated current for controlling the magnetic brake (A).
float | MBTorque
| Retention moment (mN * m).
unsigned int | MBSettings
| Magnetic brake settings flags.
char | TemperatureSensorInfo [25]
| The manufacturer and the part number of the temperature sensor, the maximum string length: 24 characters.
float | TSMin
| The minimum measured temperature (degrees Celsius) Data type: float.
float | TSMax
| The maximum measured temperature (degrees Celsius) Data type: float.
float | TSGrad
| The temperature gradient (V/degrees Celsius).
unsigned int | TSSettings
| Temperature sensor settings flags.
unsigned int | LimitSwitchesSettings
| Temperature sensor settings flags.

## Detailed Description

Deprecated.

Additional accessories' information.

See also
  set_accessories_settings
  get_accessories_settings
  get_accessories_settings, set_accessories_settings

## Field Documentation

## ◆ LimitSwitchesSettings

unsigned int LimitSwitchesSettings

Temperature sensor settings flags.

## ◆ MagneticBrakeInfo

char MagneticBrakeInfo[25]

The manufacturer and the part number of magnetic brake, the maximum string length is 24 characters.

## ◆ MBRatedCurrent

float MBRatedCurrent

Rated current for controlling the magnetic brake (A).

Data type: float.

## ◆ MBRatedVoltage

float MBRatedVoltage

Rated voltage for controlling the magnetic brake (V).

Data type: float.

## ◆ MBSettings

unsigned int MBSettings

Magnetic brake settings flags.

## ◆ MBTorque

float MBTorque

Retention moment (mN * m).

Data type: float.

## ◆ TemperatureSensorInfo

char TemperatureSensorInfo[25]

The manufacturer and the part number of the temperature sensor, the maximum string length: 24 characters.

## ◆ TSGrad

float TSGrad

The temperature gradient (V/degrees Celsius).

Data type: float.

## ◆ TSMax

float TSMax

The maximum measured temperature (degrees Celsius) Data type: float.

## ◆ TSMin

float TSMin

The minimum measured temperature (degrees Celsius) Data type: float.

## ◆ TSSettings

unsigned int TSSettings

Temperature sensor settings flags.